PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_lo_lseek

## Name

pg_lo_lseek -- seek to a position of a large object

## Synopsis

    pg_lo_lseek conn descriptor offset whence

## Description

`pg_lo_lseek` moves the current read/write position to offset bytes from the position specified by whence.

## Arguments

conn

  The handle of a connection to the database in which the large object exists.

descriptor

  A descriptor for the large object from `pg_lo_open`.

offset

  The new seek position in bytes.

whence

  Specified from where to calculate the new seek position: `SEEK_CUR` (from current position), `SEEK_END` (from end), or `SEEK_SET` (from start).

## Return Value

None

Prev | Home | Next
pg_lo_write | Up | pg_lo_tell